> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/discounts/promotions.md).

# Promotions

**Promotions** (previously called **Advanced discounts**) allow you to set up highly customizable promos that activate automatically at checkout. You can configure trigger conditions, discount type (including flat discount or a 0-100% discount toa specific items)

Examples of complex promotions available with this feature:

* Spend 250$ and more -> get 50% off hand cream.
* Today and tomorrow only, VIP customers get 10% off everything.
* "Silver" customers get 10% off after spending 100$.
* New year - new me, "Gold" customers can get 50% off on all yoga mats on purchases over $500.
* Buy X item and get Y item for free (BXGY/BOGO type of promotion).
* Upon adding X items from the X category, get Z discount for selected items.

The feature is also available in Ecwid admin: <https://my.ecwid.com/#promos>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/discounts/promotions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
